## rustup 1.26.0

=== debian/changelog ===
rustup (1.26.0-5build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:18:48 +1100

rustup (1.26.0-5) unstable; urgency=medium

  * Team upload.
  * d/debcargo.toml: declare additional conflict packages for:
    - rust-web-clippy
    - rustfmt-web
    - rust-mozilla-gdb
    - rust-mozilla-lldb
    - rust-web-gdb
    - rust-web-lldb
    ... so that users can correctly install rustup when those packages are
    present (by replacing them with rustup). (Closes: #1064564)
  * d/copyright: update copyright years.
  * d/control: update Conflicts using debcargo.

 -- Zixing Liu <zixing.liu@canonical.com>  Sat, 24 Feb 2024 14:34:36 -0700

rustup (1.26.0-4) unstable; urgency=medium

  * Team upload.
  * Apply upstream patch to bump toml dependency to 0.8

 -- Peter Michael Green <plugwash@debian.org>  Tue, 30 Jan 2024 21:45:30 +0000

rustup (1.26.0-3) unstable; urgency=medium

  * Team upload.
  * Also bump term dependency in library package to 0.7.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 02 Jan 2024 11:55:07 +0000

rustup (1.26.0-2) unstable; urgency=medium

  * Team upload.
  * Bump dependency on term crate to 0.7.

 -- Peter Michael Green <plugwash@debian.org>  Mon, 01 Jan 2024 18:56:49 +0000

rustup (1.26.0-1) unstable; urgency=medium

  * Team upload.
  * Package rustup 1.26.0 from local source using debcargo 2.6.0
  * Initial package upload. (Closes: #1026333)
  * d/copyright: update copyright data from upstream rustup 1.26.0:
    - Update copyright years
    - Add new licenses for new files
  * d/control: use policy version 4.6.2 and use compat version 13
  * d/patches: add multiple patches to make rustup buildable under Debian:
    - 0001-cargo-remove-windows-dependencies.patch: Remove Windows dependencies
    - 0002-cargo-remove-reqwest-and-use-curl-instead.patch: Remove reqwest
      entirely (use curl as the downloader)
    - 0003-Bumped-retry.patch: Upgrade retry to ^2
    - 0004-cargo-relax-term-dependency-constraint.patch: Loosen term to ~0.5
    - 0005-tests-disable-self-update-tests.patch: Disable all the tests that
    do the self-update testing
    - 0006-Update-Rust-crate-toml-to-0.7.3.patch: Upgrade toml to ~0.7.3
    - 0007-Remove-external-images-from-the-web-pages.patch: Remove remotely
    loaded images from the HTML files

  [ Ximin Luo ]
  * Package rustup 1.21.1 from local source using debcargo 2.4.3

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 20 Sep 2023 22:33:39 -0600
