=== debian/control ===
Source: rustup
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 debhelper-compat (= 13),
 dh-cargo (>= 25),
 bash-completion,
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev (>= 1.0.69-~~),
 librust-cfg-if-1+default-dev,
 librust-chrono-0.4+default-dev,
 librust-clap-3+default-dev,
 librust-clap-3+wrap-help-dev,
 librust-clap-complete-3+default-dev,
 librust-curl-0.4+default-dev (>= 0.4.44-~~),
 librust-effective-limits-0.5+default-dev (>= 0.5.5-~~),
 librust-enum-map-2+default-dev (>= 2.4.2-~~),
 librust-env-proxy-0.4+default-dev (>= 0.4.1-~~),
 librust-flate2-1+default-dev,
 librust-git-testament-0.2+default-dev,
 librust-home-0.5+default-dev (>= 0.5.4-~~),
 librust-lazy-static-1+default-dev,
 librust-libc-0.2+default-dev,
 librust-num-cpus-1+default-dev (>= 1.15-~~),
 librust-opener-0.5+default-dev (>= 0.5.2-~~),
 librust-pulldown-cmark-0.9-dev,
 librust-rand-0.8+default-dev,
 librust-regex-1+default-dev,
 librust-remove-dir-all-0.8+default-dev (>= 0.8.1-~~),
 librust-remove-dir-all-0.8+parallel-dev (>= 0.8.1-~~),
 librust-reqwest-0.11+blocking-dev,
 librust-reqwest-0.11+default-tls-dev,
 librust-reqwest-0.11+gzip-dev,
 librust-retry-2+random-dev,
 librust-rs-tracing-1+default-dev (>= 1.1.0-~~),
 librust-rs-tracing-1+rs-tracing-dev (>= 1.1.0-~~),
 librust-same-file-1+default-dev,
 librust-scopeguard-1+default-dev,
 librust-semver-1+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-sha2-0.10+default-dev,
 librust-sharded-slab-0.1+default-dev (>= 0.1.1-~~),
 librust-strsim-0.10+default-dev,
 librust-tar-0.4+default-dev (>= 0.4.26-~~),
 librust-tempfile-3+default-dev (>= 3.4-~~),
 librust-term-0.7+default-dev,
 librust-thiserror-1+default-dev,
 librust-threadpool-1+default-dev,
 librust-toml-0.8+default-dev,
 librust-url-2+default-dev (>= 2.3-~~),
 librust-wait-timeout-0.2+default-dev,
 librust-xz2-0.1+default-dev (>= 0.1.3-~~),
 librust-zstd-0.12+default-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>,
 Zixing Liu <zixing.liu@canonical.com>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/rustup.git
Vcs-Browser: https://salsa.debian.org/rust-team/rustup
Homepage: https://github.com/rust-lang/rustup
X-Cargo-Crate: rustup
Rules-Requires-Root: no

Package: librust-rustup-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev (>= 1.0.69-~~),
 librust-cfg-if-1+default-dev,
 librust-chrono-0.4+default-dev,
 librust-clap-3+default-dev,
 librust-clap-3+wrap-help-dev,
 librust-clap-complete-3+default-dev,
 librust-curl-0.4+default-dev (>= 0.4.44-~~),
 librust-effective-limits-0.5+default-dev (>= 0.5.5-~~),
 librust-enum-map-2+default-dev (>= 2.4.2-~~),
 librust-env-proxy-0.4+default-dev (>= 0.4.1-~~),
 librust-flate2-1+default-dev,
 librust-git-testament-0.2+default-dev,
 librust-home-0.5+default-dev (>= 0.5.4-~~),
 librust-lazy-static-1+default-dev,
 librust-libc-0.2+default-dev,
 librust-num-cpus-1+default-dev (>= 1.15-~~),
 librust-opener-0.5+default-dev (>= 0.5.2-~~),
 librust-openssl-0.10+default-dev,
 librust-pulldown-cmark-0.9-dev,
 librust-rand-0.8+default-dev,
 librust-regex-1+default-dev,
 librust-remove-dir-all-0.8+default-dev (>= 0.8.1-~~),
 librust-remove-dir-all-0.8+parallel-dev (>= 0.8.1-~~),
 librust-reqwest-0.11+blocking-dev,
 librust-reqwest-0.11+default-tls-dev,
 librust-reqwest-0.11+gzip-dev,
 librust-retry-2+random-dev,
 librust-rs-tracing-1+default-dev (>= 1.1.0-~~),
 librust-rs-tracing-1+rs-tracing-dev (>= 1.1.0-~~),
 librust-same-file-1+default-dev,
 librust-scopeguard-1+default-dev,
 librust-semver-1+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-sha2-0.10+default-dev,
 librust-sharded-slab-0.1+default-dev (>= 0.1.1-~~),
 librust-strsim-0.10+default-dev,
 librust-tar-0.4+default-dev (>= 0.4.26-~~),
 librust-tempfile-3+default-dev (>= 3.4-~~),
 librust-term-0.7+default-dev,
 librust-thiserror-1+default-dev,
 librust-threadpool-1+default-dev,
 librust-toml-0.8+default-dev,
 librust-url-2+default-dev (>= 2.3-~~),
 librust-wait-timeout-0.2+default-dev,
 librust-xz2-0.1+default-dev (>= 0.1.3-~~),
 librust-zstd-0.12+default-dev
Provides:
 librust-rustup+curl-dev (= ${binary:Version}),
 librust-rustup+curl-backend-dev (= ${binary:Version}),
 librust-rustup+default-dev (= ${binary:Version}),
 librust-rustup+env-proxy-dev (= ${binary:Version}),
 librust-rustup+no-self-update-dev (= ${binary:Version}),
 librust-rustup+openssl-dev (= ${binary:Version}),
 librust-rustup+reqwest-dev (= ${binary:Version}),
 librust-rustup+reqwest-backend-dev (= ${binary:Version}),
 librust-rustup+reqwest-default-tls-dev (= ${binary:Version}),
 librust-rustup-1-dev (= ${binary:Version}),
 librust-rustup-1+curl-dev (= ${binary:Version}),
 librust-rustup-1+curl-backend-dev (= ${binary:Version}),
 librust-rustup-1+default-dev (= ${binary:Version}),
 librust-rustup-1+env-proxy-dev (= ${binary:Version}),
 librust-rustup-1+no-self-update-dev (= ${binary:Version}),
 librust-rustup-1+openssl-dev (= ${binary:Version}),
 librust-rustup-1+reqwest-dev (= ${binary:Version}),
 librust-rustup-1+reqwest-backend-dev (= ${binary:Version}),
 librust-rustup-1+reqwest-default-tls-dev (= ${binary:Version}),
 librust-rustup-1.26-dev (= ${binary:Version}),
 librust-rustup-1.26+curl-dev (= ${binary:Version}),
 librust-rustup-1.26+curl-backend-dev (= ${binary:Version}),
 librust-rustup-1.26+default-dev (= ${binary:Version}),
 librust-rustup-1.26+env-proxy-dev (= ${binary:Version}),
 librust-rustup-1.26+no-self-update-dev (= ${binary:Version}),
 librust-rustup-1.26+openssl-dev (= ${binary:Version}),
 librust-rustup-1.26+reqwest-dev (= ${binary:Version}),
 librust-rustup-1.26+reqwest-backend-dev (= ${binary:Version}),
 librust-rustup-1.26+reqwest-default-tls-dev (= ${binary:Version}),
 librust-rustup-1.26.0-dev (= ${binary:Version}),
 librust-rustup-1.26.0+curl-dev (= ${binary:Version}),
 librust-rustup-1.26.0+curl-backend-dev (= ${binary:Version}),
 librust-rustup-1.26.0+default-dev (= ${binary:Version}),
 librust-rustup-1.26.0+env-proxy-dev (= ${binary:Version}),
 librust-rustup-1.26.0+no-self-update-dev (= ${binary:Version}),
 librust-rustup-1.26.0+openssl-dev (= ${binary:Version}),
 librust-rustup-1.26.0+reqwest-dev (= ${binary:Version}),
 librust-rustup-1.26.0+reqwest-backend-dev (= ${binary:Version}),
 librust-rustup-1.26.0+reqwest-default-tls-dev (= ${binary:Version})
Description: Manage multiple rust installations with ease - Rust source code
 This package contains the source for the Rust rustup crate, packaged by
 debcargo for use with cargo and dh-cargo.

Package: rustup
Architecture: any
Multi-Arch: allowed
Section: devel
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Conflicts:
 rustc,
 cargo,
 rustfmt,
 rust-clippy,
 rust-doc,
 rust-gdb,
 rust-lldb,
 rustfmt-web,
 rust-web-gdb,
 rust-web-lldb,
 rust-web-clippy,
 rust-mozilla-gdb,
 rust-mozilla-lldb
Description: The Rust toolchain installer
 Rustup installs The Rust Programming Language from the official release
 channels, enabling you to easily switch between stable, beta, and nightly
 compilers and keep them updated. It makes cross-compiling simpler with binary
 builds of the standard library for common platforms.
 And it runs on all platforms Rust supports, including Windows.
