=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test rustup 1.26.0 --all-targets --all-features
Features: test-name=rust-rustup:@
Depends: dh-cargo (>= 18), librust-enum-map-2+default-dev (>= 2.4.2-~~), librust-once-cell-1+default-dev (>= 1.17.1-~~), librust-trycmd-0.14+default-dev (>= 0.14.13-~~), librust-walkdir-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test rustup 1.26.0 --all-targets
Features: test-name=librust-rustup-dev:default
Depends: dh-cargo (>= 18), librust-enum-map-2+default-dev (>= 2.4.2-~~), librust-once-cell-1+default-dev (>= 1.17.1-~~), librust-trycmd-0.14+default-dev (>= 0.14.13-~~), librust-walkdir-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test rustup 1.26.0 --all-targets --no-default-features --features no-self-update
Features: test-name=librust-rustup-dev:no-self-update
Depends: dh-cargo (>= 18), librust-enum-map-2+default-dev (>= 2.4.2-~~), librust-once-cell-1+default-dev (>= 1.17.1-~~), librust-trycmd-0.14+default-dev (>= 0.14.13-~~), librust-walkdir-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test rustup 1.26.0 --all-targets --no-default-features
Features: test-name=librust-rustup-dev:
Depends: dh-cargo (>= 18), librust-enum-map-2+default-dev (>= 2.4.2-~~), librust-once-cell-1+default-dev (>= 1.17.1-~~), librust-trycmd-0.14+default-dev (>= 0.14.13-~~), librust-walkdir-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test rustup 1.26.0 --all-targets --no-default-features --features openssl
Features: test-name=librust-rustup+openssl-dev:openssl
Depends: dh-cargo (>= 18), librust-enum-map-2+default-dev (>= 2.4.2-~~), librust-once-cell-1+default-dev (>= 1.17.1-~~), librust-trycmd-0.14+default-dev (>= 0.14.13-~~), librust-walkdir-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
