## rustup 1.27.1

=== debian/changelog ===
rustup (1.27.1-5) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream patches for newer versions of pulldown-cmark. (Closes: #1116057)

 -- Peter Michael Green <plugwash@debian.org>  Sat, 04 Oct 2025 13:29:31 +0000

rustup (1.27.1-4) unstable; urgency=medium

  * Team upload.
  * Remove 0003-relax-reqwest-to-0.11.patch and update dependencies
    for rustls 0.12.

 -- Peter Michael Green <plugwash@debian.org>  Mon, 11 Aug 2025 03:16:33 +0000

rustup (1.27.1-3) unstable; urgency=medium

  * Team upload.
  * d/control: add rust-analyzer, rustc-web and cargo-web to rustup's
    Conflicts (Closes: #1095964)
  * d/control: remove article from start of rustup's synopsis

 -- NoisyCoil <noisycoil@tutanota.com>  Sat, 15 Mar 2025 00:11:36 +0100

rustup (1.27.1-2) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to fix tests on ppc64el and s390x

 -- Peter Michael Green <plugwash@debian.org>  Wed, 25 Dec 2024 15:26:19 +0000

rustup (1.27.1-1) unstable; urgency=medium

  * Team upload.
  * Package rustup 1.27.1 from local source using debcargo 2.7.5
    - d/patches: refresh and rebase patches
    - d/patches: relax openssl and remove opentelemetry with network tests
    - d/control: update Debian dependency information using debcargo
    - d/control: re-generate using debcargo 2.7.5
    - d/copyright.debcargo.hint: refresh generated files
    - d/tests/control: refresh generated tests using debcargo
    - d/tests/control: refresh dependency lists
    - d/tests/control: manually write the integration test commands
    - d/rules: fix a typo around the CURDIR notation
    - d/control: update itertools to 0.13
    - d/control: update standard version to v4.7.0
    - d/p/0013-relax-trycmd.patch: relax trycmd to 0.14
    - d/rules: disable self-update functionality (Closes: #1088260)
    - d/debcargo.toml: adapt to debcargo 2.7.5 changes
    - d/debcargo.toml: rustup also provides rustup-macros crate

  [ Peter Michael Green ]
  * bump strsim to 0.11

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 20 Dec 2024 17:02:11 -0700

rustup (1.26.0-7) unstable; urgency=medium

  * Teamp upload.
  * bump zstd to 0.13

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Tue, 18 Jun 2024 11:47:01 +0200

rustup (1.26.0-6) unstable; urgency=medium

  * Team upload.
  * Bump opener to 0.6.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 16 May 2024 16:25:18 +0000
