=== debian/control ===
Source: rustup
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev (>= 1.0.69-~~),
 librust-cfg-if-1+default-dev,
 librust-chrono-0.4+std-dev,
 librust-clap-4+default-dev,
 librust-clap-4+wrap-help-dev,
 librust-clap-complete-4+default-dev,
 librust-curl-0.4+default-dev (>= 0.4.44-~~),
 librust-effective-limits-0.5+default-dev (>= 0.5.5-~~),
 librust-enum-dispatch-0.3+default-dev (>= 0.3.11-~~),
 librust-enum-map-2+default-dev (>= 2.5.0-~~),
 librust-env-proxy-0.4+default-dev (>= 0.4.1-~~),
 librust-flate2-1+default-dev,
 librust-fs-at-0.1+default-dev (>= 0.1.6-~~),
 librust-git-testament-0.2+default-dev,
 librust-home-0.5+default-dev (>= 0.5.4-~~),
 librust-itertools-0.13+default-dev,
 librust-libc-0.2+default-dev,
 librust-once-cell-1+default-dev (>= 1.18.0-~~),
 librust-opener-0.6+default-dev,
 librust-pulldown-cmark-0.13-dev,
 librust-rand-0.8+default-dev,
 librust-regex-1+default-dev,
 librust-remove-dir-all-0.8+default-dev (>= 0.8.1-~~),
 librust-remove-dir-all-0.8+parallel-dev (>= 0.8.1-~~),
 librust-reqwest-0.12+blocking-dev,
 librust-reqwest-0.12+default-tls-dev,
 librust-reqwest-0.12+gzip-dev,
 librust-reqwest-0.12+socks-dev,
 librust-retry-2+random-dev,
 librust-rs-tracing-1+default-dev (>= 1.1-~~),
 librust-rs-tracing-1+rs-tracing-dev (>= 1.1-~~),
 librust-same-file-1+default-dev,
 librust-scopeguard-1+default-dev,
 librust-semver-1+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-sha2-0.10+default-dev,
 librust-sharded-slab-0.1+default-dev (>= 0.1.1-~~),
 librust-strsim-0.11+default-dev,
 librust-tar-0.4+default-dev (>= 0.4.26-~~),
 librust-tempfile-3+default-dev (>= 3.8-~~),
 librust-termcolor-1+default-dev (>= 1.2-~~),
 librust-thiserror-1+default-dev,
 librust-threadpool-1+default-dev,
 librust-toml-0.8+default-dev,
 librust-url-2+default-dev (>= 2.4-~~),
 librust-wait-timeout-0.2+default-dev,
 librust-xz2-0.1+default-dev (>= 0.1.3-~~),
 librust-zstd-0.13+default-dev,
 bash-completion
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>,
 Zixing Liu <zixing.liu@canonical.com>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/rustup.git
Vcs-Browser: https://salsa.debian.org/rust-team/rustup
Homepage: https://github.com/rust-lang/rustup
X-Cargo-Crate: rustup
Rules-Requires-Root: no

Package: librust-rustup-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev (>= 1.0.69-~~),
 librust-cfg-if-1+default-dev,
 librust-chrono-0.4+std-dev,
 librust-clap-4+default-dev,
 librust-clap-4+wrap-help-dev,
 librust-clap-complete-4+default-dev,
 librust-curl-0.4+default-dev (>= 0.4.44-~~),
 librust-effective-limits-0.5+default-dev (>= 0.5.5-~~),
 librust-enum-dispatch-0.3+default-dev (>= 0.3.11-~~),
 librust-enum-map-2+default-dev (>= 2.5.0-~~),
 librust-env-proxy-0.4+default-dev (>= 0.4.1-~~),
 librust-flate2-1+default-dev,
 librust-fs-at-0.1+default-dev (>= 0.1.6-~~),
 librust-git-testament-0.2+default-dev,
 librust-home-0.5+default-dev (>= 0.5.4-~~),
 librust-itertools-0.13+default-dev,
 librust-libc-0.2+default-dev,
 librust-once-cell-1+default-dev (>= 1.18.0-~~),
 librust-opener-0.6+default-dev,
 librust-openssl-0.10+default-dev,
 librust-openssl-sys-0.9+default-dev,
 librust-pulldown-cmark-0.13-dev,
 librust-rand-0.8+default-dev,
 librust-regex-1+default-dev,
 librust-remove-dir-all-0.8+default-dev (>= 0.8.1-~~),
 librust-remove-dir-all-0.8+parallel-dev (>= 0.8.1-~~),
 librust-reqwest-0.12+blocking-dev,
 librust-reqwest-0.12+default-tls-dev,
 librust-reqwest-0.12+gzip-dev,
 librust-reqwest-0.12+socks-dev,
 librust-retry-2+random-dev,
 librust-rs-tracing-1+default-dev (>= 1.1-~~),
 librust-rs-tracing-1+rs-tracing-dev (>= 1.1-~~),
 librust-same-file-1+default-dev,
 librust-scopeguard-1+default-dev,
 librust-semver-1+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-sha2-0.10+default-dev,
 librust-sharded-slab-0.1+default-dev (>= 0.1.1-~~),
 librust-strsim-0.11+default-dev,
 librust-tar-0.4+default-dev (>= 0.4.26-~~),
 librust-tempfile-3+default-dev (>= 3.8-~~),
 librust-termcolor-1+default-dev (>= 1.2-~~),
 librust-thiserror-1+default-dev,
 librust-threadpool-1+default-dev,
 librust-tokio-1+rt-multi-thread-dev (>= 1.26.0-~~),
 librust-toml-0.8+default-dev,
 librust-tracing-0.1+default-dev,
 librust-tracing-subscriber-0.3+default-dev (>= 0.3.16-~~),
 librust-tracing-subscriber-0.3+env-filter-dev (>= 0.3.16-~~),
 librust-url-2+default-dev (>= 2.4-~~),
 librust-wait-timeout-0.2+default-dev,
 librust-walkdir-2+default-dev,
 librust-xz2-0.1+default-dev (>= 0.1.3-~~),
 librust-zstd-0.13+default-dev
Provides:
 librust-rustup+curl-dev (= ${binary:Version}),
 librust-rustup+curl-backend-dev (= ${binary:Version}),
 librust-rustup+default-dev (= ${binary:Version}),
 librust-rustup+env-proxy-dev (= ${binary:Version}),
 librust-rustup+no-self-update-dev (= ${binary:Version}),
 librust-rustup+openssl-dev (= ${binary:Version}),
 librust-rustup+openssl-sys-dev (= ${binary:Version}),
 librust-rustup+reqwest-dev (= ${binary:Version}),
 librust-rustup+reqwest-backend-dev (= ${binary:Version}),
 librust-rustup+reqwest-default-tls-dev (= ${binary:Version}),
 librust-rustup+test-dev (= ${binary:Version}),
 librust-rustup+tokio-dev (= ${binary:Version}),
 librust-rustup+tracing-dev (= ${binary:Version}),
 librust-rustup+tracing-subscriber-dev (= ${binary:Version}),
 librust-rustup-1-dev (= ${binary:Version}),
 librust-rustup-1+curl-dev (= ${binary:Version}),
 librust-rustup-1+curl-backend-dev (= ${binary:Version}),
 librust-rustup-1+default-dev (= ${binary:Version}),
 librust-rustup-1+env-proxy-dev (= ${binary:Version}),
 librust-rustup-1+no-self-update-dev (= ${binary:Version}),
 librust-rustup-1+openssl-dev (= ${binary:Version}),
 librust-rustup-1+openssl-sys-dev (= ${binary:Version}),
 librust-rustup-1+reqwest-dev (= ${binary:Version}),
 librust-rustup-1+reqwest-backend-dev (= ${binary:Version}),
 librust-rustup-1+reqwest-default-tls-dev (= ${binary:Version}),
 librust-rustup-1+test-dev (= ${binary:Version}),
 librust-rustup-1+tokio-dev (= ${binary:Version}),
 librust-rustup-1+tracing-dev (= ${binary:Version}),
 librust-rustup-1+tracing-subscriber-dev (= ${binary:Version}),
 librust-rustup-1.27-dev (= ${binary:Version}),
 librust-rustup-1.27+curl-dev (= ${binary:Version}),
 librust-rustup-1.27+curl-backend-dev (= ${binary:Version}),
 librust-rustup-1.27+default-dev (= ${binary:Version}),
 librust-rustup-1.27+env-proxy-dev (= ${binary:Version}),
 librust-rustup-1.27+no-self-update-dev (= ${binary:Version}),
 librust-rustup-1.27+openssl-dev (= ${binary:Version}),
 librust-rustup-1.27+openssl-sys-dev (= ${binary:Version}),
 librust-rustup-1.27+reqwest-dev (= ${binary:Version}),
 librust-rustup-1.27+reqwest-backend-dev (= ${binary:Version}),
 librust-rustup-1.27+reqwest-default-tls-dev (= ${binary:Version}),
 librust-rustup-1.27+test-dev (= ${binary:Version}),
 librust-rustup-1.27+tokio-dev (= ${binary:Version}),
 librust-rustup-1.27+tracing-dev (= ${binary:Version}),
 librust-rustup-1.27+tracing-subscriber-dev (= ${binary:Version}),
 librust-rustup-1.27.1-dev (= ${binary:Version}),
 librust-rustup-1.27.1+curl-dev (= ${binary:Version}),
 librust-rustup-1.27.1+curl-backend-dev (= ${binary:Version}),
 librust-rustup-1.27.1+default-dev (= ${binary:Version}),
 librust-rustup-1.27.1+env-proxy-dev (= ${binary:Version}),
 librust-rustup-1.27.1+no-self-update-dev (= ${binary:Version}),
 librust-rustup-1.27.1+openssl-dev (= ${binary:Version}),
 librust-rustup-1.27.1+openssl-sys-dev (= ${binary:Version}),
 librust-rustup-1.27.1+reqwest-dev (= ${binary:Version}),
 librust-rustup-1.27.1+reqwest-backend-dev (= ${binary:Version}),
 librust-rustup-1.27.1+reqwest-default-tls-dev (= ${binary:Version}),
 librust-rustup-1.27.1+test-dev (= ${binary:Version}),
 librust-rustup-1.27.1+tokio-dev (= ${binary:Version}),
 librust-rustup-1.27.1+tracing-dev (= ${binary:Version}),
 librust-rustup-1.27.1+tracing-subscriber-dev (= ${binary:Version}),
 librust-rustup-macros+default-dev
Description: Manage multiple rust installations with ease - Rust source code
 Source code for Debianized Rust crate "rustup"

Package: rustup
Architecture: any
Multi-Arch: allowed
Section: devel
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Conflicts:
 rustc,
 cargo,
 rustfmt,
 rust-analyzer,
 rust-clippy,
 rust-doc,
 rust-gdb,
 rust-lldb,
 rustc-web,
 cargo-web,
 rustfmt-web,
 rust-web-gdb,
 rust-web-lldb,
 rust-web-clippy,
 rust-mozilla-gdb,
 rust-mozilla-lldb
Description: Rust toolchain installer
 Rustup installs The Rust Programming Language from the official release
 channels, enabling you to easily switch between stable, beta, and nightly
 compilers and keep them updated. It makes cross-compiling simpler with binary
 builds of the standard library for common platforms.
 And it runs on all platforms Rust supports, including Windows.
