=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test rustup 1.27.1 --all-targets --features test,no-self-update
Features: test-name=librust-rustup-dev:default
Depends: dh-cargo (>= 31), rustc, librust-enum-map-2+default-dev (>= 2.5.0-~~), librust-proptest-1+default-dev (>= 1.1.0-~~), librust-rustup-macros+default-dev, librust-tokio-1+macros-dev (>= 1.26.0-~~), librust-tokio-1+rt-multi-thread-dev (>= 1.26.0-~~), librust-trycmd-0.14+default-dev, librust-rustup-dev, curl, wget
Restrictions: allow-stderr, skip-not-installable
