=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/rust-lang/rustup/tags \
    (?:.*?/)v?@ANY_VERSION@\.tar\.gz
